MultiScreenContextListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.ui.event
Interface MultiScreenContextListener

All Superinterfaces:
  EventListener

    public interface MultiScreenContextListener

extends EventListener

This listener is used to provide notifications regarding system and application induced changes to a `MultiScreenContext`.

Since:
  OCAP 1.0 I16 (ECN XXXX)
Author:
  Glenn Adams

Method Summary
`void` | `notify(MultiScreenContextEvent evt)` When an OCAP implementation makes any change to a `MultiScreenContext` that causes generation of a `MultiScreenContextEvent`, then the implementation SHALL invoke this method on all registered listeners in order to report change information to the listener.

Method Detail

### notify

    void notify(MultiScreenContextEvent evt)

  When an OCAP implementation makes any change to a `MultiScreenContext` that causes generation of a `MultiScreenContextEvent`, then the implementation SHALL invoke this method on all registered listeners in order to report change information to the listener.

  If the application that registered this listener has not been granted `MonitorAppPermission("multiscreen.context")` and the source `MultiScreenContext` associated with the specified `MultiScreenContextEvent` is associated with no `ServiceContext` or a `ServiceContext` that is not accessible to that application, then this method SHALL NOT be invoked on this listener; otherwise it SHALL be invoked on this listener.

  A `ServiceContext` is accessible to an application if it is returned from the `ServiceContextFactory.getServiceContexts()` method.

  Parameters:
    `evt` - A `MultiScreenContextEvent` instance.
  Since:
    MSM I01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD